<?php

// API routes  for news
Route::prefix('{guard}/news')->group(function () {
    Route::get('news/form/{element}', 'NewsAPIController@form');
    Route::resource('news', 'NewsAPIController');
});

// Public routes for news
Route::get('news/', 'NewsPublicController@index');
Route::get('news/{slug?}', 'NewsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for news
            Route::prefix('{guard}/news')->group(function () {
                Route::get('news/form/{element}', 'NewsAPIController@form');
                Route::apiResource('news', 'NewsAPIController');
            });
            // Public routes for news
            Route::get('news/News', 'NewsPublicController@getNews');
        }
    );
}


// API routes  for news_category
Route::prefix('{guard}/news')->group(function () {
    Route::get('news_category/form/{element}', 'NewsCategoryAPIController@form');
    Route::resource('news_category', 'NewsCategoryAPIController');
});

// Public routes for news_category
Route::get('news/', 'NewsCategoryPublicController@index');
Route::get('news/{slug?}', 'NewsCategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for news
            Route::prefix('{guard}/news')->group(function () {
                Route::get('news_category/form/{element}', 'NewsCategoryAPIController@form');
                Route::apiResource('news_category', 'NewsCategoryAPIController');
            });
            // Public routes for news
            Route::get('news/NewsCategory', 'NewsCategoryPublicController@getNewsCategory');
        }
    );
}

