<?php

namespace Litepie\News;

use User;

class News
{
    /**
     * $news object.
     */
    protected $news;
    /**
     * $news_category object.
     */
    protected $news_category;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\News\Interfaces\NewsRepositoryInterface $news,
        \Litepie\News\Interfaces\NewsCategoryRepositoryInterface $news_category)
    {
        $this->news = $news;
        $this->news_category = $news_category;
    }

    /**
     * Returns count of news.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.news.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->news->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\NewsUserCriteria());
        }

        $news = $this->news->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('news::' . $view, compact('news'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.news_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->news_category->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\NewsCategoryUserCriteria());
        }

        $news_category = $this->news_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('news::' . $view, compact('news_category'))->render();
    }
}
