<?php

namespace Litepie\News\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litepie\News\Models\NewsCategory $news_category)
    {
        return [
            'id'                => $news_category->getRouteKey(),
            'key'               => [
                'public'    => $news_category->getPublicKey(),
                'route'     => $news_category->getRouteKey(),
            ], 
            'name'              => $news_category->name,
            'slug'              => $news_category->slug,
            'user_id'           => $news_category->user_id,
            'deleted_at'        => $news_category->deleted_at,
            'url'               => [
                'public'    => trans_url('news/'.$news_category->getPublicKey()),
                'user'      => guard_url('news/news_category/'.$news_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$news_category->status),
            'created_at'        => format_date($news_category->created_at),
            'updated_at'        => format_date($news_category->updated_at),
        ];
    }
}